<template>
	<v-app-bar
		app
		color="indigo"
		dark
	>

		<v-spacer></v-spacer>

		<v-btn text v-for="(btn, index) in navBtns" :key="`navBtn${index}`" :to="btn.link">
			<v-icon left>{{btn.icon}}</v-icon> {{btn.text}}
		</v-btn>

		<v-btn text @click.native='logout'>
			<v-icon left>mdi-logout</v-icon> выход
		</v-btn>

	</v-app-bar>
</template>

<script>

	export default {
		data: () => ({
			drawer: false,
			navBtns: [
				{
					text: 'собственники',
					link: '/landlords',
					icon: 'mdi-account-group-outline',
				},
				{
					text: 'права пользоветелей',
					link: '/users',
					icon: 'mdi-account-star-outline',
				},
			],
		}),
		methods: {
			logout() {
				this.$store.dispatch('logout');
			}
		}
	}
</script>

<style lang="stylus">

</style>
